Your achievements

Level 1

0% to

Level 2

Tip /
Sign in

Sign in to Community

to gain points, level up, and earn exciting badges like the new
Bedrock Mission!

Learn more

View all

Sign in to view all badges

SOLVED

Authentication Failed after an AEM 6 upgrade

JS_Bournival
Level 4
Level 4

I followed the instructions to upgrade my author instance 5.6.0 to 6.0 (CRX3).

When I finished, I launched AEM, but couldn't do anything, all I have is this blank page saying Authentication Failed.

The log files show me this:

24.04.2015 14:20:23.741 *INFO* [qtp613729437-31] org.apache.sling.auth.core.impl.SlingAuthenticator handleLoginFailure: Unable to authenticate anonymous user: Unable to login null
24.04.2015 14:20:23.744 *ERROR* [qtp613729437-31] com.day.cq.auth.impl.LoginSelectorHandler requestCredentials: Abort login due to apparent misconfiguration.
24.04.2015 14:20:23.744 *ERROR* [qtp613729437-31] com.day.cq.auth.impl.LoginSelectorHandler requestCredentials: Possible reasons: login page not existing or not accessible

 

What's wrong?

1 Accepted Solution
Sham_HC
Correct answer by
Level 10
Level 10

Seems like you migrated using latest oak run bur repo having older version. Follow below steps

1)   Stop the instance

2)   Place sp2 zip file under <cq_home>/crx-quickstart/install

3)   Start the instance

View solution in original post

6 Replies
JS_Bournival
Level 4
Level 4

how can I debug this? I don't know where to look. all my loggers are set to DEBUG. The only traces I have are to ones in my previous post

Sham_HC
Correct answer by
Level 10
Level 10

Seems like you migrated using latest oak run bur repo having older version. Follow below steps

1)   Stop the instance

2)   Place sp2 zip file under <cq_home>/crx-quickstart/install

3)   Start the instance

View solution in original post

JS_Bournival
Level 4
Level 4

So, my error would be that: I used a 6.0 instance, but migrated my repo with the crx2oak-1.0.12.jar?

Thank you for the solution.

vijaym76986902
Level 2
Level 2

I am getting same error in aem 6.3 upgrade using mongodb. How to resole this error.

Dharanya
Level 2
Level 2

Hi Sham,

I am facing exactly the situation when setting up cold standby instance. Basically we have migrated from AEM 6.1 GA to AEM 6.1 SP2 CFP13. So our standby instance is on AEM 6.1 SP2 CFP13.

Error Details:

*ERROR* [qtp2009784172-142460] com.day.cq.auth.impl.LoginSelectorHandler requestCredentials: Abort login due to apparent misconfiguration.

*ERROR* [qtp2009784172-142460] com.day.cq.auth.impl.LoginSelectorHandler requestCredentials: Possible reasons: login page not existing or not accessible

In the above post you have mentioned the below steps to overcome this issue:

          1) Stop the instance

          2) Place sp2 zip file under <cq_home>/crx-quickstart/install --> Could you please add more clarify on this.

          3) Start the instance

Thanks in advance.